Bug 1218071 - No API to enable/run plugins
No API to enable/run plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michael Mráka
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-04 03:52 EDT by Michael Mráka
Modified: 2016-10-04 15:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 04:44:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2015-05-04 03:52:44 EDT
Description of problem:
When using dnf API (namely dnf.Base) it does not run plugins and there's no way how to run them from API.

Version-Release number of selected component (if applicable):
dnf-0.6.5-1.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Radek Holy 2015-05-04 07:40:04 EDT
As a developer of DNF, you should know that we insist on reporting some use cases. Also setting "high" severity probably needs some explanation.
Comment 2 Michael Mráka 2015-05-05 09:20:48 EDT
Use case:
Spacewalk plugin has a command rhn_check which runs regularly and checks whether an administrator has scheduled (on Spacewalk server) an action for this client.
If so it calls yum/dnf API to install/upgrade the package. To be able to do that it need to enable plugins.
Comment 3 Jan Kurik 2015-07-15 10:12:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Igor Gnatenko 2016-07-22 04:44:59 EDT
Fixed as part of DNF 2.0 release which will be available at some point soon.

Note You need to log in before you can comment on or make changes to this bug.